#!/bin/sh

( cd usr/local/apps/exiftool ; rm -rf .DirIcon )
( cd usr/local/apps/exiftool ; ln -sf exif.png .DirIcon )
( cd etc/xdg/rox.sourceforge.net/SendTo/.image_jpeg ; rm -rf exiftool )
( cd etc/xdg/rox.sourceforge.net/SendTo/.image_jpeg ; ln -sf /usr/local/apps/exiftool exiftool )

package=exiftool-fd64-9.76-x86_64-2
readme=README-$package.txt
tmpreadme=${TMP:-/tmp}/$readme

cat << EOF > "$tmpreadme"
----------------------------------------------------------------------
File $tmpreadme

Package $package is installed.

It adds man1 and man3 pages, perl site modules, a ROXapp,
a ROX right-click menu entry for jpeg files, and a desktop file. 

NOTE: perl_site modules were added under /usr/lib64/ (Fatdog64).

ExifTool is installed as /usr/bin/exiftool.

ROXapp is installed as /usr/local/apps/exiftool.
It executes /usr/local/bin/runexiftool, for which you may export
  - RUNEXIFTOOL_OPT to change default exiftool option -s2
  - RUNEXIFTOOL_GEO to change default Xdialog geometry 'auto'.

----------------------------------------------------------------------
To save this file to your home folder start a terminal window and
enter at the shell prompt:

  cp "$tmpreadme" "\$HOME/"

Then type 'q' to close this window...

EOF

term=`which defaultterm`
[ "$term" ] || term=`which xterm`
[ "$term" ] || term=cat

less=`which less`
[ "$less" ] || less=more

[ "$term" ] && ( "$term" -T "$package" -e "$less" "$tmpreadme" & )
true
